summaryrefslogtreecommitdiffstats
path: root/src/test/citest/populate-sandbox
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/citest/populate-sandbox')
-rwxr-xr-xsrc/test/citest/populate-sandbox60
1 files changed, 60 insertions, 0 deletions
diff --git a/src/test/citest/populate-sandbox b/src/test/citest/populate-sandbox
new file mode 100755
index 00000000..d28b0f76
--- /dev/null
+++ b/src/test/citest/populate-sandbox
@@ -0,0 +1,60 @@
+#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: src/test/citest/populate-sandbox $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2015,2016
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+# Ensure sandbox exists (create-sandbox has been called).
+if [ -z $SANDBOXBASE ];
+then
+ echo "SANDBOXBASE variable uninitialized.."
+ exit -1
+fi
+
+if [ ! -d "$SANDBOXBASE" ];
+then
+ echo "Cannot find sandbox: $SANDBOXBASE"
+ exit -1
+fi
+
+# Create test directory.
+mkdir -p $SBETESTDIR || exit -1
+
+# Create test directory.
+mkdir -p $SBEFW_IMG_DIR || exit -1
+
+# Copy sbe binaries
+cp $SBEROOT/obj/*.bin $SBEFW_IMG_DIR/ || exit -1
+cp $SBEROOT/obj/simics.tar $SBEFW_DIR/ || exit -1
+# Compile sbe code in sandbox to copy binaries at right place
+echo "---Setup sandbox for sbe binaries."
+
+execute_in_sandbox "cd $SBEFW_DIR; mk -a" \
+ "ppc" || exit -1
+
+execute_in_sandbox "cd $SBEFW_DIR; mk install_all" \
+ "ppc" || exit -1
+
+
+# Copy test files.
+cp -r $SBEROOT/src/test/* $SBETESTDIR/ || exit -1
+
OpenPOWER on IntegriCloud